Subject: Bug#899: [X2Go-Dev] EPEL 6 8 Jul 2015 release has dependency error

From: Mihai Moldovan <[email-masked]>
Date: Fri, 3 Jul 2015 05:43:10 +0200

On 02.07.2015 06:47 PM, Harris, Peter A wrote:
> I used sqlite3 against the primary sqlite file in /var/cache/yum/x2go-release-epel and was able to get the info for libXcompshad3.  I even nosed around and cross referenced the from the requires table to the provides table successfully.

I have no idea what is going on there. :(
The cached files are not corrupt, the files in our repository are not corrupt
and provide the necessary information - only your yum seems to not be happy
about something and fail parsing the sqlite file.

Given that sqlite3 itself has no problems, unless yum is misusing the sqlite3
library (which I do not believe), it's not a DB problem.

Are you fine with me closing that bug report? I've fixed the only real problem
with the repository that surfaced - unsigned RPM's in the extras section -
yesterday.

> I even did an strace on "yum --disablerepo=* --enablerepo=x2go-release-epel list libXcompshad3".  It opens the primary sqlite file and seeks its way through it; last bit of text was "er-xsessionx86_64"...  It just doesn't find it.  Othere than printing out different results, an strace of listing libXcompext3 looked the same.

I've tried summarizing the problem and asking for help on the #yum channel on
Freenode, but got no viable answer (though to be honest, that might take a while
- the channel is generally not very active.)

One thing I just noticed is that your yum is loading a dozen plugins, while mine
in the CentOS 6.6 test installation only loaded and used one: fastestmirror.

Maybe a plugin is misbehaving?

Try re-running the list/search command and pass --noplugins as an option.

Mihai